Subject: Re: TCP Hang (or close to it): Windows XP -> Linux (w/tcp_bic)

From: "Dan A. Dickey" <[email-masked]>
Date: Fri, 29 Oct 2004 13:21:25 -0500

On Friday 29 October 2004 13:00, David S. Miller wrote:
> On Fri, 29 Oct 2004 10:10:42 -0700 (PDT)
>
> Sridhar Samudrala <[email-masked]> wrote:
> > This looks like the same TCP window overflow problem in 2.6.7
> > that came up a couple of days back.
> >
> > See the thread
> >  http://marc.theaimsgroup.com/?t=109887532400001&r=1&w=2
> > and the patch posted by davem.
>
> Yes, and BTW for the original poster, BIC only effects sender
> behavior whereas in your test case the Linux system with BIC
> enabled is the receiver.

That's a good point.  I was concerned that it might be
playing a role in what window size got sent back to
the sending machine.  Glad to hear it's not a worry.
BTW - any idea if tcp_bic would be easily modified
to be configurable on a per interface basis?  We typically
have a 100Mb interface on a LAN; and another 100Mb
interface going out to a WAN (DS3 or E3).
We're using tcp_bic to get near 95+% utilization of the
WAN connection; but I don't think we need it on the LAN,
and in some situations it may interfere... or, is this not
a concern?  Thanks again all.

Sridhar,
thank's for the pointer.

I'll be updating to 2.6.9 and will let you know the
results of my testing.
 -Dan

-- 
Dan A. Dickey
[email-masked]

SAVVIS
Transforming Information Technology